=== doc/rst/requirements.txt ===
# Sphinx theme and extensions used in the GMT documentation
#
# To install them, use
#
#   pip install -r doc/rst/requirements.txt
#
sphinx_rtd_theme==2.0.0
sphinx-copybutton==0.5.2
sphinx-design==0.6.1
sphinx-jinja==2.0.2
sphinx-togglebutton==0.3.2
sphinxcontrib-youtube==1.4.1
